> For the complete documentation index, see [llms.txt](https://api-documentation.autoshares.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-documentation.autoshares.dev/rest-api/trading-api/price-alerts/get-specific-alert/pricealerts_getpricealert.md).

# Syntax

## Get price alert

```
GET /v{version}/users/{userId}/pricealerts/{alertId}
```

### Description

This API endpoint enables you to retrieve detailed information about a specific price alert.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema          | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string          |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string          |         |
| **Path**   | **alertId**   *required*       | This is the internal identifier of the price alert whose information must be retrieved.                                                     | integer (int32) |         |
| **Path**   | **userId**   *required*        | This is the internal identifier of the user whose price alert’s information must be retrieved.                                              | integer (int32) |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string          | `"1"`   |

### Responses

| HTTP Code | Description                                                                                       | Schema                                                                                                                        |
| --------- | ------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Successful request, JSON data containing detailed information about the price alert is returned.  | [PriceAlertInfoModel](/rest-api/trading-api/price-alerts/get-specific-alert/pricealerts_getpricealert.md#pricealertinfomodel) |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                                                                                                    |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                                                                                                                    |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                                                                                                    |
| **500**   | Internal server error                                                                             | No Content                                                                                                                    |

### Produces

* `application/json`
* `text/json`
